--
-- naveska
-- author: werik
--

naveska = {};

function naveska.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function naveska:load(xmlFile)
      self.cilindr = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.cilindr#index"));
      self.cilindrActive = true;

      self.kreplenie = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.kreplenie#index"));
      self.kreplenieActive = true;
end;

function naveska:readStream(streamId, connection)
end;

function naveska:writeStream(streamId, connection)
end;

function naveska:delete()
end;

 
function naveska:mouseEvent(posX, posY, isDown, isUp, button)
end;

function naveska:keyEvent(unicode, sym, modifier, isDown)
if isDown and sym == Input.KEY_j then
	    self.cilindrActive = not self.cilindrActive;
	end;
if isDown and sym == Input.KEY_j then
	    self.kreplenieActive = not self.kreplenieActive;
	end;
end;
 
function naveska:update(dt)
if self.isEntered then
		setVisibility(self.cilindr, self.cilindrActive);
	end;
if self.isEntered then
		setVisibility(self.kreplenie, self.kreplenieActive);
	end;
end;

function naveska:onLeave()
end;

function naveska:draw()
      if self.isClient then
                 g_currentMission:addExtraPrintText(g_i18n:getText("naveska"));
    end;
end;
